Bug 1323257 - marisa: Provide a Python 3 subpackage
Summary: marisa: Provide a Python 3 subpackage
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: marisa
Version: 25
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Daiki Ueno
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: PYTHON3 PY3PATCH-AVAILABLE
TreeView+ depends on / blocked
 
Reported: 2016-04-01 16:08 UTC by Tomas Orsava
Modified: 2017-02-24 16:11 UTC (History)
4 users (show)

Fixed In Version: marisa-0.2.4-18.fc26
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-02-24 16:11:37 UTC


Attachments (Terms of Use)
Patch to provide Python 3 language binding for marisa (2.68 KB, text/plain)
2016-11-11 11:48 UTC, Iryna Shcherbina
no flags Details
Patch to rename language bindings to conform to Packaging guidelines (2.60 KB, text/plain)
2016-11-11 11:53 UTC, Iryna Shcherbina
no flags Details

Description Tomas Orsava 2016-04-01 16:08:06 UTC
Upstream, this software supports Python 3. Please provide a Python 3
package for Fedora.


According to the Python packaging guidelines [0], software must be
packaged for Python 3 if upstream supports it.
The guidelines give detailed information on how to do this, and even
provide an example spec file [1].

The current best practice is to provide subpackages for the two Python
versions (called "Common SRPM" in the guidelines). Alternatively, if
nothing depends on your Python2 package, you can just switch to Python 3
entirely.

It's ok to do this in Rawhide only, however, it would be greatly
appreciated if you could push it to Fedora 24 as well.


If anything is unclear, or if you need any kind of assistance with the
porting, you can ask on IRC (#fedora-python on Freenode), or reply here.
We'll be happy to help!


[0] https://fedoraproject.org/wiki/Packaging:Python
[1] https://fedoraproject.org/wiki/Packaging:Python#Example_common_spec_file

Comment 1 Dominika Krejčí 2016-04-22 16:25:36 UTC
Hello Daiki,

Do you need any help adding Python 3 support to the RPM?

If you need more instructions, a [guide] for porting Python-based RPMs is available.

[guide] http://python-rpm-porting.readthedocs.org/en/latest/index.html

Comment 2 Daiki Ueno 2016-05-09 06:55:40 UTC
Sorry for the delay.  Yes, I would be grateful if you could help here.
The Python binding is generated using SWIG, and I couldn't figure out how to migrate the spec file.

Comment 3 Jan Kurik 2016-07-26 04:14:50 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 25 development cycle.
Changing version to '25'.

Comment 4 Iryna Shcherbina 2016-11-11 11:48:20 UTC
Created attachment 1219728 [details]
Patch to provide Python 3 language binding for marisa

Hello Jan,

Please find the change needed to add Python 3 support attached. Could you please review it and do the update?

Koji scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=16401405

Comment 5 Iryna Shcherbina 2016-11-11 11:53:27 UTC
Created attachment 1219731 [details]
Patch to rename language bindings to conform to Packaging guidelines

I would also like to point your attention to the fact, that the naming scheme for marisa language bindings does not conform to the Packaging guidelines [0]. When the addon package is a language binding, the language itself is always the parent, thus the names should be <language>-marisa.

I would suggest to rename the language bindings and I have prepared a patch that you might use. Please note that if you decide to apply it, it should go through the Package Renaming Process [1] and a review of Obsoletes and Provides is required.

[0] https://fedoraproject.org/wiki/Packaging:Naming?rd=Packaging:NamingGuidelines#Addon_Packages
[1] https://fedoraproject.org/wiki/Package_Renaming_Process#Re-review_required

Koji scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=16401771

Comment 6 Iryna Shcherbina 2016-11-18 14:00:12 UTC
(In reply to Iryna Shcherbina from comment #5)

> I would suggest to rename the language bindings and I have prepared a patch
> that you might use. Please note that if you decide to apply it, it should go
> through the Package Renaming Process [1] and a review of Obsoletes and
> Provides is required.

In reply to my previous comment, you do not have to go through the Package Renaming Process for subpackages. So please just do a review and apply the patch.

Comment 7 Daiki Ueno 2016-12-08 15:21:46 UTC
(In reply to Iryna Shcherbina from comment #4)
> Created attachment 1219728 [details]
> Patch to provide Python 3 language binding for marisa

Thanks, I have applied it.

(In reply to Iryna Shcherbina from comment #6)
> (In reply to Iryna Shcherbina from comment #5)
> 
> > I would suggest to rename the language bindings and I have prepared a patch
> > that you might use. Please note that if you decide to apply it, it should go
> > through the Package Renaming Process [1] and a review of Obsoletes and
> > Provides is required.
> 
> In reply to my previous comment, you do not have to go through the Package
> Renaming Process for subpackages. So please just do a review and apply the
> patch.

I will have a look at it later, as I remember marisa-python is used in BuildRequires of my other package (which I don't have time to work on at the moment).  Thanks for working on that anyway.

Comment 8 Iryna Shcherbina 2016-12-12 12:08:05 UTC
Hi Daiki,

thank you for taking your time to apply the patch.


Note You need to log in before you can comment on or make changes to this bug.